Last Comment Bug 416403 - Queries not being cached?
: Queries not being cached?
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: API (show other bugs)
: unspecified
: All All
: -- major
: 3.3
Assigned To: Fred Wenzel [:wenzel]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 11:39 PST by Mark Smith [:xb95]
Modified: 2016-02-04 14:47 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ltrim queries to get rid of leading whitespace (553 bytes, patch)
2008-02-08 12:43 PST, Fred Wenzel [:wenzel]
morgamic: review+
Details | Diff | Splinter Review

Description Mark Smith [:xb95] 2008-02-08 11:39:04 PST
http://xb95.pastebin.mozilla.org/324320

There are a lot of queries that are being sent against the database multiple times a second that are identical, version checks for the same addons, etc.

(Not sure what else to put here?)
Comment 1 Laura Thomson :laura 2008-02-08 11:49:47 PST
I'm not sure this is the API but seems entirely possible.

Is web server traffic spiking as well?  on what pages?
Comment 2 Fred Wenzel [:wenzel] 2008-02-08 12:43:27 PST
Created attachment 302170 [details] [diff] [review]
ltrim queries to get rid of leading whitespace

Queries with leading whitespace were not memcached. Ouch.

morgamic, please review.
Comment 3 Fred Wenzel [:wenzel] 2008-02-08 12:57:34 PST
FIXED in r10123 (trunk) and r10124 (reskin branch). Marking push-needed.
Comment 4 Jeremy Orem [:oremj] 2008-02-08 13:04:30 PST
Woo good find!
Comment 5 Fred Wenzel [:wenzel] 2008-02-08 13:13:40 PST
heh, thanks -- I just want to be good friends with the database, that's all ;)
Comment 6 Justin Scott [:fligtar] 2008-02-14 16:34:37 PST
This is live.

Note You need to log in before you can comment on or make changes to this bug.